Format a CWT credential as a QR code
Roles
Analytics Events
/v2/credentials/compact/qrcodeReturns a QR code representation of a CWT credential from a provided encoded string representation of that credential.
Analytic events
- CREDENTIAL_COMPACT_QRCODE_CREATE_START
- CREDENTIAL_COMPACT_QRCODE_CREATE_SUCCESS
- CREDENTIAL_COMPACT_QRCODE_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
String representation of the encoded CWT credential.
Optionally specify the desired width of the output QR code. When no width is specified MATTR VII will generate a QR code with an optimised width based on the size of the payload. Maximal value is 1000px.
Response Body
image/png
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/compact/qrcode" \ -H "Content-Type: application/json" \ -d '{ "payload": "CSS:/1/2KCE3IQEJB5DCMSMGRKXI3IBE2QFSANKVACBUYQYB2HQKGTCDAHI6BQ2MIMA5DYBPAUWI2L..." }'"string"{
"code": "BadRequest",
"message": "Validation Error",
"details": [
{
"value": "1",
"msg": "must be a string",
"param": "payload",
"location": "body"
}
]
}How would you rate this page?
Sign a CWT credential POST
Returns a signed CWT credential generated from a provided valid payload. The payload can include any number of custom claims, as CWT credentials do not comply with any specific standard or specification. ### **Analytic events** * CREDENTIAL_COMPACT_SIGN_START * CREDENTIAL_COMPACT_SIGN_SUCCESS * CREDENTIAL_COMPACT_SIGN_FAIL
Format a CWT credential as a PDF POST
Returns a PDF representation of a provided CWT credential based on an existing PDF template. <Callout> The request will fail if the provided credential isn't valid or has expired. </Callout> ### **Analytic events** * CREDENTIAL_COMPACT_PDF_CREATE_START * CREDENTIAL_COMPACT_PDF_CREATE_SUCCESS * CREDENTIAL_COMPACT_PDF_CREATE_FAIL